org.apache.cassandra.db.commitlog

## Class FileDirectSegment

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogSegment
  - - org.apache.cassandra.db.commitlog.FileDirectSegment

Direct Known Subclasses:
  CompressedSegment, EncryptedSegment

    public abstract class FileDirectSegment
    extends CommitLogSegment

Writes to the backing commit log file only on sync, allowing transformations of the mutations, such as compression or encryption, before writing out to disk.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.commitlog.CommitLogSegment

`CommitLogSegment.Allocation, CommitLogSegment.CDCState, CommitLogSegment.CommitLogSegmentFileComparator`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.commitlog.CommitLogSegment

`descriptor, ENTRY_OVERHEAD_SIZE, id, manager`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `flush(int startMarker, int nextMarker)`
`protected void` `internalClose()` Close the segment file.

### Methods inherited from class org.apache.cassandra.db.commitlog.CommitLogSegment

`additionalHeaderParameters, contains, contentSize, coverInMap, dirtyString, getCDCState, getCurrentCommitLogPosition, getDirtyCFIDs, getName, getPath, isStillAllocating, isUnused, markClean, onDiskSize, setCDCState, toString, writeSyncMarker`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### internalClose

    protected void internalClose()

Description copied from class: `CommitLogSegment`
Close the segment file. Do not call from outside this class, use syncAndClose() instead.

Overrides:
  `internalClose` in class `CommitLogSegment`

#### flush

    protected void flush(int startMarker,
                         int nextMarker)